> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Delegator rewards



## OpenAPI

````yaml get /v0/solana/delegators/stakeAccounts/{stake_account}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/delegators/stakeAccounts/{stake_account}/rewards:
    get:
      tags:
        - Solana Delegators
      summary: Delegator Stats
      operationId: >-
        delegator_stats_v0_solana_delegators_stakeAccounts__stake_account__rewards_get
      parameters:
        - name: stake_account
          in: path
          required: true
          schema:
            type: string
            title: Stake Account
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: UTC day
            title: From
          description: UTC day
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 15
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SolanaDelegatorRewards_'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_SolanaDelegatorRewards_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_solana__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SolanaDelegatorRewards'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[SolanaDelegatorRewards]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_solana__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__solana__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    SolanaDelegatorRewards:
      properties:
        stakeAccount:
          type: string
          title: Stakeaccount
        day:
          type: string
          format: date
          title: Day
        fromTimestamp:
          type: string
          format: date-time
          title: Fromtimestamp
        toTimestamp:
          type: string
          format: date-time
          title: Totimestamp
        fromSlot:
          type: integer
          minimum: 0
          title: Fromslot
        toSlot:
          type: integer
          minimum: 0
          title: Toslot
        fromEpoch:
          type: integer
          minimum: 0
          title: Fromepoch
        toEpoch:
          type: integer
          minimum: 0
          title: Toepoch
        status:
          type: string
          title: Status
        stakingRewards:
          type: string
          title: Stakingrewards
        stakingCommissionPaid:
          type: string
          title: Stakingcommissionpaid
        delegatedStake:
          type: string
          title: Delegatedstake
        validatorVoteAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorvoteaccount
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        voteCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Votecommissionrate
        mevRewards:
          type: string
          title: Mevrewards
        mevCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Mevcommissionrate
        mevCommissionPaid:
          type: string
          title: Mevcommissionpaid
        missedStakingRewards:
          type: string
          title: Missedstakingrewards
        balance:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance
        mevClaims:
          anyOf:
            - items:
                $ref: '#/components/schemas/SolanaMevClaim'
              type: array
            - type: 'null'
          title: Mevclaims
      type: object
      required:
        - stakeAccount
        - day
        - fromTimestamp
        - toTimestamp
        - fromSlot
        - toSlot
        - fromEpoch
        - toEpoch
        - status
        - stakingRewards
        - stakingCommissionPaid
        - delegatedStake
        - mevRewards
        - mevCommissionPaid
        - missedStakingRewards
      title: SolanaDelegatorRewards
      examples:
        - balance: 10.61
          day: '2024-04-04'
          delegatedStake: 4.61
          fromEpoch: 597
          fromSlot: 258212466
          fromTimestamp: '2024-04-04 00:00:00'
          mevClaims:
            - claimedAmount: 1000
              commissionRate: 0.07
              slotNumber: 258212466
              transactionIndex: 0
            - claimedAmount: 2000
              commissionRate: 0.07
              slotNumber: 258394459
              transactionIndex: 1
          mevCommissionPaid: 0
          mevCommissionRate: 0.07
          mevRewards: 0
          missedStakingRewards: 0
          stakeAccount: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
          stakingCommissionPaid: 0.0001
          stakingRewards: 0.002
          status: active
          toEpoch: 598
          toSlot: 258394459
          toTimestamp: '2024-04-04 23:59:59'
          validatorName: Ledger by Figment
          validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
          voteCommissionRate: 0.07
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    networks__solana__granularity__Granularity:
      type: string
      enum:
        - 3k
        - day
      title: Granularity
    SolanaMevClaim:
      properties:
        slotNumber:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Slotnumber
        claimedAmount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Claimedamount
        commissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Commissionrate
        transactionIndex:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Transactionindex
      type: object
      title: SolanaMevClaim
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````